Bug 272861 - mkqdisk cannot use device with 4kb sector size
mkqdisk cannot use device with 4kb sector size
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cman (Show other bugs)
5.0
x86_64 Linux
high Severity high
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On: 253803
Blocks:
  Show dependency treegraph
 
Reported: 2007-08-31 14:47 EDT by Rob Kenna
Modified: 2009-04-16 18:23 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2008-0347
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 11:57:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Allows any size sector (26.17 KB, patch)
2007-09-20 09:54 EDT, Lon Hohberger
no flags Details | Diff
Fix (619 bytes, patch)
2008-01-23 19:34 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Comment 1 Lon Hohberger 2007-09-18 16:58:20 EDT
+++ This bug was initially created as a clone of Bug #253803 +++

Description of problem:
mkqdisk cannot use device with 4kb sector size(probably only 512b sector size is ok)

Version-Release number of selected component (if applicable):
cluster-1.04.00.tar.gz

How reproducible:
# mkqdisk -c /dev/vg0/qdisk0 -l qdisk0
mkqdisk v0.5.1
Writing new quorum disk label 'qdisk0' to /dev/vg0/qdisk0.
WARNING: About to destroy all data on /dev/vg0/qdisk0; proceed [N/y] ? y
diskRawWriteShadow: Invalid argument
diskRawWriteShadow: aligned write returned -1, not 512
diskRawWriteShadow: Invalid argument

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Lon Hohberger 2007-09-20 09:54:36 EDT
Created attachment 200741 [details]
Allows any size sector
Comment 5 Lon Hohberger 2007-12-17 14:25:02 EST
Patch in cvs
Comment 6 Lon Hohberger 2008-01-23 19:31:32 EST
Patch in CVS is broken; requires additional patch in order to make it work.

Comment 7 Lon Hohberger 2008-01-23 19:34:39 EST
Created attachment 292718 [details]
Fix
Comment 9 Lon Hohberger 2008-03-27 15:23:40 EDT
I do not have any 4kb blocksize devices configured.  However, qdiskd is
correctly using I/O sizes derived from the quorum device:

[3734] debug: I/O Size: 512  Page Size: 4096

[root@molly ~]# mkqdisk -L
mkqdisk v0.5.2
/dev/xvdb1:
        Magic:                eb7a62c2
        Label:                lolcats
        Created:              Mon Feb  4 12:15:33 2008
        Host:                 molly
        Kernel Sector Size:   512
        Recorded Sector Size: 512
Comment 11 errata-xmlrpc 2008-05-21 11:57:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0347.html

Note You need to log in before you can comment on or make changes to this bug.